JavaScript is required to use Bungie.net

Community

Regretful 123

Regretful 123

11/6/2012 12:44:37 PM
I just curious, will the new website we keep hearing about supports the latest version of HTML 5? Also, I would like to ask the reason behind the using of HTML 5 if it not so discreet to share.
preload icon
preload icon
preload icon
You are not allowed to view this content.